Subject: bug#53141: closed (Re: bug#53141: installer failed in mkfs.ext4 when installing to the same USB drive)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Feb 2022 16:45:01 +0000

Your bug report

#53141: installer failed in mkfs.ext4 when installing to the same USB drive

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53141: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53141
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53141: installer failed in mkfs.ext4 when installing to the same USB drive
From: Mathieu Othacehe <[email-masked]>
To: Dan Connolly <[email-masked]>
Cc: Christopher Webber <[email-masked]>, [email-masked], [email-masked]
Date: Wed, 02 Feb 2022 17:43:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The latest installer should hide the installation media in the device
selection list, preventing this kind of issues.

Closing,

Thanks,

Mathieu

Subject: Re: installer failed in mkfs.ext4 when installing to the same USB drive
From: Christine Lemmer-Webber <[email-masked]>
To: Dan Connolly <[email-masked]>
Cc: [email-masked]
Date: Sun, 09 Jan 2022 09:08:58 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I wonder if what you're really looking for is "guix system image", which
will build something that is basically "pre-configured" for bootable
media you can use:

  https://guix.gnu.org/cookbook/en/html_node/Guix-System-Image-API.html

However, I'm not sure how to combine it with an encrypted volume.

(One advantage of this path is that you can test your built image in a
VM before you try booting it and writing it to a USB key, btw.)

Dan Connolly <[email-masked]> writes:

> I'm installing from a USB thumb drive. I'd like to use the thumb drive
> as the disk for the machine. The installer gave me the option to do
> so, but then it crashed.
>
> I can imagine that installing on the installation media is not
> supported. Perhaps the installer should have prevented me from doing
> so?
>
> p.e. Please excuse the use of an image of the text. I see "The
> backtrace is displayed below. Please report it by email ..." and I the
> only option that occurs to me is to take an image and send it from
> another computer.